%define rname	dragtotab
%define cid		\{dc0fa13b-3dad-73ea-d852-912722c852e9\}
%define ciddir 	%firefox_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	0.2
Release:	alt7
Summary:	The Drag To Tab extension for Mozilla Firefox

License:	GPL
Group:		Networking/WWW	
URL:		http://dragtotab.mozdev.org/

Source0:	%rname.xpi

BuildRequires:	%firefox_name-devel unzip
BuildArch:	noarch

Requires: %firefox_name = %firefox_version

%description 
Drag files, links or text on to the New Tab and New Window 
icons in the toolbar to open them in either a new tab or in 
a new window respectively.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%post
%firefox_install_extension %ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Tue Apr 18 2006 L.A. Kostis <lakostis@altlinux.org> 0.2-alt7
- rebuild with new firefox.

* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.2-alt6
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 0.2-alt5
- bugfix rebuild.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 0.2-alt4
- bugfix rebuild.

* Mon Aug 08 2005 Alexey Gladkov <legion@altlinux.ru> 0.2-alt3
- update for new firefox;

* Mon Jun 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.2-alt2
- update for new firefox;

* Wed Apr 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.2-alt1
- new version;
- requires fix;

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 0.1.2-alt3.1
- postscript bugfix;

* Fri Feb 25 2005 Alexey Gladkov <legion@altlinux.ru> 0.1.2-alt3
- spec bugfix;

* Fri Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 0.1.2-alt2
- rebuild with new firefox.
- Requires to firefox package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 0.1.2-alt1
- first build for ALT Linux.
